Find by details
curl --request POST \
--url https://api.bigdata.com/v1/knowledge-graph/products \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"query": "iPhone",
"owners": [
"Apple Inc."
]
}
'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/products"
payload = {
"query": "iPhone",
"owners": ["Apple Inc."]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'iPhone', owners: ['Apple Inc.']})
};
fetch('https://api.bigdata.com/v1/knowledge-graph/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "7373D4",
"name": "iPhone",
"description": "iPhone is a line of smartphones designed and marketed by Apple Inc. It runs Apple's iOS mobile operating system.",
"type": "Mobile Phones",
"owner": "Apple Inc."
}
],
"metadata": {
"request_id": "2a25111e-0043-4fe2-946e-668aa5af928a",
"timestamp": "2026-07-02T13:24:45.163695+00:00"
},
"usage": {
"knowledge_graph_tokens": 1
}
}Products
Find by details
Find products and brands. Search by name or description and narrow the results by product type or owner.
POST
/
v1
/
knowledge-graph
/
products
Find by details
Authorizations
Body
application/json
Request body for finding products. Each field is optional. However, you must provide at least one field to perform a valid search. The values a filter accepts can be listed with GET /v1/knowledge-graph/products/values/{filter}.
Text query to search for products by name or description. Examples: 'iPhone', 'Model 3'
Example:
"iPhone"
Product types, as published in the type field of results (e.g., 'Mobile Phones')
Example:
["Mobile Phones"]
Names of the owning company, as published in the owner field of results (e.g., 'Apple Inc.')
Example:
["Apple Inc."]
Response
200 - application/json
Successful response with products data
Response containing products results and metadata
Was this page helpful?